# Example54
Date: 2019-11-17

org.deidentifier.arx.examples

## Class Example54

- java.lang.Object
- - org.deidentifier.arx.examples.Example
  - - org.deidentifier.arx.examples.Example54

    public class Example54
    extends Example

This class implements an example on how to access quality statistics

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Example54()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Data` `createData(java.lang.String dataset)` Loads a dataset from disk
`static void` `main(java.lang.String[] args)` Entry point.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Example54

    public Example54()

### Method Detail

#### createData

    public static Data createData(java.lang.String dataset)
                           throws java.io.IOException

Loads a dataset from disk

Parameters:
  `dataset` -
Returns:
Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.text.ParseException,
                            java.io.IOException,
                            java.security.NoSuchAlgorithmException,
                            RollbackRequiredException

Entry point.

Parameters:
  `args` - the arguments
Throws:
  `java.text.ParseException`
  `java.io.IOException`
  `java.security.NoSuchAlgorithmException`
  `RollbackRequiredException`